Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000816 [Piwigo] metadata minor always 2008.03.20 14:03 2008.06.07 22:22
Reporter A_wikatchikaen View Status public  
Assigned To VDigital
Priority normal Resolution fixed Platform All
Status closed   OS All
Projection none   OS Version All
ETA none Fixed in Version Butterfly 1 Product Version 1.7.1
  Target Version 2.0.0 Product Build
Summary 0000816: Eviter les faux doublons
Description J'ai remarqué que j'avais des doublons dans mes import de tags (entré via un autre logiciel) qui étaient du a un simple espace pas forcément visible du premier coup sur certaines photos.

Bien que le problème soit que le tag soit mal écrit au départ. Il suffit de

trim($tag_name)

dans site_update.php ligne 858
Steps To Reproduce Avec un logiciel externe (ex: kphotoalbum) : Enregistrer un tag sur une photo et le même avec un espace devant sur une autre photo, les importer et synchroniser. Le tag apparait en double.
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0002175)
VDigital (reporter)
2008.03.21 09:26

Je pense que tu as ta solution mais également que kphotoalbum ne devrait pas générer d'espaces inutiles dans les keywords (tu as écrit: bien que le problème soit que le tag soit mal écrit au départ).
Peut-être d'ailleurs cela peut provenir d'un champ non initialement prévu pour définir des tags.
Bref, tu as ta solution spécifique, tu l'as partagée c'est très bien.
Je ne pense pas qu'il soit nécessaire de l'ajouter dans les process de toutes les galeries pour autant.
Je ne sais pas ce qu'en pense les autres.
Laurent tu décides et tu fermes même si tu retiens l'idée.
8-)
(0002176)
A_wikatchikaen (reporter)
2008.03.25 09:45

Tout à fait, je le vois comme ça aussi. Vaut mieux partager trop que pas assez :D
(0002215)
mathiasm (manager)
2008.05.17 15:22

Je pense que tu as ta solution mais également que kphotoalbum ne devrait pas générer d'espaces inutiles dans les keywords (tu as écrit: bien que le problème soit que le tag soit mal écrit au départ).

Je ne pense pas que ça vienne de KPA, mais plutôt d'un copier/coller ou du périphérique situé entre le clavier et la chaise :-)
Ce serait une sorte de sécurité. Est-ce que ça change beaucoup le coût de la synchro meta ? On peut retenir ça pour la 1.8
(0002218)
VDigital (reporter)
2008.05.18 07:52

trim($tag_name)

Would be added to site_update.php around line 858 in trunk
(0002219)
VDigital (reporter)
2008.05.18 09:12

[Subversion] r2350 only in Trunk

- Issue History
Date Modified Username Field Change
2008.03.20 14:03 A_wikatchikaen New Issue
2008.03.20 14:03 A_wikatchikaen browser => any
2008.03.20 14:03 A_wikatchikaen Web server => Apache 1.3.x
2008.03.20 14:42 A_wikatchikaen Issue Monitored: A_wikatchikaen
2008.03.21 09:26 VDigital Note Added: 0002175
2008.03.25 09:45 A_wikatchikaen Note Added: 0002176
2008.05.17 15:22 mathiasm Note Added: 0002215
2008.05.18 07:52 VDigital Note Added: 0002218
2008.05.18 07:53 VDigital Assigned To => VDigital
2008.05.18 07:53 VDigital Status new => acknowledged
2008.05.18 09:12 VDigital Status acknowledged => closed
2008.05.18 09:12 VDigital Note Added: 0002219
2008.05.18 09:12 VDigital Resolution open => fixed
2008.05.18 09:12 VDigital Fixed in Version => Butterfly branch
2008.05.29 09:29 plg Fixed in Version Butterfly branch => Butterfly 1
2008.06.07 22:22 plg Target Version => Butterfly


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker